local wheelsleep = THEME:GetMetric("MusicWheel","SwitchSeconds");

local t = Def.ActorFrame {
Def.ActorFrame { Name = "SongFrames";
    Def.ActorFrame { 
            LoadActor("../Common MusicWheelItem Song inside") .. {
                InitCommand=cmd(;diffuse,color(1,1,1,1));
                SetMessageCommand=function(self,params)
                    self:diffuse(LightColor( SONGMAN:GetSongColor(params.Song) ));
                    end;
            };
            LoadActor("../Common MusicWheelItem Song inside") .. {
    --~             InitCommand=cmd(diffuseshift;effectcolor1,1,1,1,0.8;effectcolor2,1,1,1,0.4);
                InitCommand=cmd(diffusealpha,0.5);
            };
            LoadActor("../Common MusicWheelItem Song frame") .. {
                InitCommand=cmd(diffuse,color(1,1,1,1));
                BeginCommand=cmd(playcommand,"Set");
                SetMessageCommand=function(self,params)
                    self:diffuse(LightColor( SONGMAN:GetSongColor(params.Song) ));
                    end;
            };
            LoadActor("../Common MusicWheelItem Song frame") .. {
                InitCommand=cmd(diffuse,1,1,1,0;diffusebottomedge,1,1,1,0.25);
            };
        };
    Def.ActorFrame { 
            InitCommand=cmd(y,0);
            LoadFont("Regra Wheel")..{
                InitCommand=cmd(horizalign,left;shadowlength,0;x,-(282/2)+(16*2.25);maxwidth,178);
                BeginCommand=cmd(playcommand,"Set");
                SetMessageCommand=function(self,params)
                    if params.Song then
                        self:finishtweening();
                        self:settext( params.Song:GetDisplayFullTitle() );
--~                         self:diffuse(SONGMAN:GetSongColor(params.Song));
                        self:diffuse(SONGMAN:GetSongColor(params.Song));
                        self:diffusetopedge(LightColor(LightColor(SONGMAN:GetSongColor(params.Song))));
                    end;
                end;
            };
        };
};
--~ Def.ActorFrame { Name = "CourseFrames";
--~     Condition=GAMESTATE:IsCourseMode();
--~     Def.ActorFrame {
--~         LoadActor("../Common MusicWheelItem Song inside") .. {
--~             InitCommand=cmd(;diffuse,color(1,1,1,1));
--~             SetMessageCommand=function(self,params)
--~                 self:diffuse( color("#00aeef") );
--~                 end;
--~         };
--~         LoadActor("../Common MusicWheelItem Song inside") .. {
--            InitCommand=cmd(diffuseshift;effectcolor1,1,1,1,0.8;effectcolor2,1,1,1,0.4);
--~             InitCommand=cmd(diffusealpha,0.5);
--~         };
--~         LoadActor("../Common MusicWheelItem Song frame") .. {
--~             InitCommand=cmd(diffuse,color(1,1,1,1));
--~             BeginCommand=cmd(playcommand,"Set");
--~             SetMessageCommand=function(self,params)
--~                 self:diffuse( color("#00aeef") );
--~                 end;
--~         };
--~     };
--~     Def.ActorFrame { 
--~     InitCommand=cmd(y,0);
--~         LoadFont("ScreenSystemLayer","Credits")..{
--~             InitCommand=cmd(horizalign,left;shadowlength,0;x,-(282/2)+(16*2.25);maxwidth,178);
--~             BeginCommand=cmd(playcommand,"Set");
--~             SetMessageCommand=function(self,params)
--~                 if params.Song then
--~                     self:finishtweening();
--~                     self:settext( params.Song:GetDisplayFullTitle() );
--~                     self:diffuse(SONGMAN:GetSongColor(params.Song));
--~                 end;
--~             end;
--~         };
--~         LoadFont("ScreenSystemLayer","Credits")..{
--~             InitCommand=cmd(horizalign,left;shadowlength,0;x,-(282/2)+(16*2.25);maxwidth,178);
--~             BeginCommand=cmd(playcommand,"Set");
--~             SetMessageCommand=function(self,params)
--~                 if params.Course then
--~                     self:finishtweening();
--~                     self:settext( params.Course:GetDisplayFullTitle() );
--~                     self:diffusealpha(0.75);
--~                 end;
--~             end;
--~         };
--~     };
--~ };
};
return t;